Send test webhook delivery
curl --request POST \
--url https://api.social-api.ai/v1/webhooks/{id}/test \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"event_type": "<string>",
"payload": [
123
]
}
'const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({event_type: '<string>', payload: [123]})
};
fetch('https://api.social-api.ai/v1/webhooks/{id}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/webhooks/{id}/test"
payload = {
"event_type": "<string>",
"payload": [123]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"delivery_id": "<string>",
"response_body": "<string>",
"response_duration_ms": 123,
"response_status_code": 123,
"status": "<string>"
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}Webhooks
Send test webhook delivery
Sends a synthetic event payload to the webhook endpoint to validate signature, reachability, and consumer handling. Returns the delivery result.
POST
/
webhooks
/
{id}
/
test
Send test webhook delivery
curl --request POST \
--url https://api.social-api.ai/v1/webhooks/{id}/test \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"event_type": "<string>",
"payload": [
123
]
}
'const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({event_type: '<string>', payload: [123]})
};
fetch('https://api.social-api.ai/v1/webhooks/{id}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/webhooks/{id}/test"
payload = {
"event_type": "<string>",
"payload": [123]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"delivery_id": "<string>",
"response_body": "<string>",
"response_duration_ms": 123,
"response_status_code": 123,
"status": "<string>"
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}Authorizations
Prefix your API key with "Bearer ". Example: Authorization: Bearer sapi_key_...
Path Parameters
Webhook endpoint ID